# Query$to\_\*

### Query.<mark style="color:purple;">to\_\*</mark>(*max\_results=None, \*\*args*)

Queries support the same methods as [Tables](/api/client-libraries/redivis-r/reference/table.md) for reading out data (e.g., as a tidyverse tibble). Note that queries can only be read for up to 24 hours after completion.

Full documentation can be found in the reference for the appropriate Table method:

{% hint style="success" %}
**See also**

* [Table$to\_arrow\_batch\_reader()](/api/client-libraries/redivis-r/reference/table/tableusdto_arrow_batch_reader.md)
* [Table$to\_arrow\_dataset()](/api/client-libraries/redivis-r/reference/table/tableusdto_arrow_dataset.md)
* [Table$to\_arrow\_table()](/api/client-libraries/redivis-r/reference/table/tableusdto_arrow_table.md)
* [Table$to\_data\_frame()](/api/client-libraries/redivis-r/reference/table/tableusdto_data_frame.md)
* [Table$to\_data\_table()](/api/client-libraries/redivis-r/reference/table/tableusdto_data_table.md)
* [Table$to\_directory()](/api/client-libraries/redivis-r/reference/table/tableusdto_directory.md)
* [Table$to\_read\_streams()](/api/client-libraries/redivis-r/reference/table/tableusdto_read_streams.md)
* [Table.to\_tibble()](/api/client-libraries/redivis-r/reference/table/tableusdto_tibble.md)
* [Table.to\_sf\_tibble()](/api/client-libraries/redivis-r/reference/table/tableusdto_sf_tibble.md)
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/query/queryusdto_.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
